This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 998085 - [abrt] WARNING: at drivers/gpu/drm/radeon/radeon_cursor.c:280 radeon_crtc_cursor_move+0x37a/0x390 [radeon]()
[abrt] WARNING: at drivers/gpu/drm/radeon/radeon_cursor.c:280 radeon_crtc_cur...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:5b98b5d006196cc792d82a9f126...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-17 03:49 EDT by Al Pantilimon
Modified: 2015-12-02 11:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:55:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (81.13 KB, text/plain)
2013-08-17 03:49 EDT, Al Pantilimon
no flags Details

  None (edit)
Description Al Pantilimon 2013-08-17 03:49:05 EDT
Description of problem:
booted up system
may have something to do with external display.

Additional info:
reporter:       libreport-2.1.6
WARNING: at drivers/gpu/drm/radeon/radeon_cursor.c:280 radeon_crtc_cursor_move+0x37a/0x390 [radeon]()
Modules linked in: ebtable_nat nf_conntrack_netbios_ns nf_conntrack_broadcast bnep bluetooth ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables rc_dib0700_rc5 xc4000 rc_msi_digivox_ii snd_hda_codec_hdmi snd_hda_codec_si3054 snd_hda_codec_realtek tda18271 af9013 snd_hda_intel acpi_cpufreq mperf coretemp iTCO_wdt iTCO_vendor_support arc4 iwl3945 iwlegacy mac80211 snd_hda_codec ir_lirc_codec lirc_dev ir_mce_kbd_decoder ir_sanyo_decoder ir_sony_decoder ir_jvc_decoder ir_rc6_decoder ir_rc5_decoder ir_nec_decoder dvb_usb_dib0700 uvcvideo dib8000 dib7000m dib0090 dib0070 videobuf2_vmalloc dib7000p dib3000mc videobuf2_memops rc_rc6_mce snd_hwdep snd_seq dibx000_common videobuf2_core dvb_usb snd_seq_device dvb_usb_af9015 dvb_usb_v2 snd_pcm mceusb dvb_core videodev snd_page_alloc snd_timer rc_core media snd soundcore cfg80211 microcode joydev serio_raw r592 sdhci_pci lpc_ich sdhci mfd_core mmc_core memstick sky2 video asus_laptop sparse_keymap rfkill input_polldev binfmt_misc uinput usb_storage radeon firewire_ohci i2c_algo_bit firewire_core drm_kms_helper crc_itu_t ttm drm i2c_core
CPU: 0 PID: 508 Comm: Xorg Not tainted 3.10.6-200.fc19.x86_64 #1
Hardware name: ASUSTeK Computer Inc.         F7SR                /F7SR      , BIOS 203     03/11/2008
 0000000000000009 ffff8801306e9c98 ffffffff81638f6b ffff8801306e9cd0
 ffffffff8105c211 ffff880138862000 00000000ffffffff 0000000000000000
 000000000000014a ffff880137734000 ffff8801306e9ce0 ffffffff8105c2ea
Call Trace:
 [<ffffffff81638f6b>] dump_stack+0x19/0x1b
 [<ffffffff8105c211>] warn_slowpath_common+0x61/0x80
 [<ffffffff8105c2ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa00d150a>] radeon_crtc_cursor_move+0x37a/0x390 [radeon]
 [<ffffffffa001fd4a>] drm_mode_cursor_common+0x9a/0x170 [drm]
 [<ffffffffa0023a01>] drm_mode_cursor_ioctl+0x41/0x50 [drm]
 [<ffffffffa00142c2>] drm_ioctl+0x532/0x670 [drm]
 [<ffffffff81642b94>] ? __do_page_fault+0x1f4/0x510
 [<ffffffff811a9635>] do_vfs_ioctl+0x305/0x520
 [<ffffffff811a98d1>] SyS_ioctl+0x81/0xa0
 [<ffffffff81642ebe>] ? do_page_fault+0xe/0x10
 [<ffffffff81647559>] system_call_fastpath+0x16/0x1b
Comment 1 Al Pantilimon 2013-08-17 03:49:13 EDT
Created attachment 787520 [details]
File: dmesg
Comment 2 Andy Lutomirski 2014-12-15 16:05:57 EST
I just hit this running the latest LLVM-3.5-rebased Mesa stack with Wayland.  This is kernel-3.17.4-301.fc21.x86_64.

[516483.574636] ------------[ cut here ]------------
[516483.574679] WARNING: CPU: 0 PID: 14197 at drivers/gpu/drm/radeon/radeon_cursor.c:278 radeon_crtc_cursor_move+0x130/0x6b0 [radeon]()
[516483.574682] Modules linked in: uas usb_storage arc4 md4 nls_utf8 cifs dns_resolver fscache bnep bluetooth fuse xt_CHECKSUM ipt_MASQUERADE tun ip6t_rpfilter ip6t_REJECT cfg80211 rfkill xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw f71882fg xfs vfat fat libcrc32c joydev snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic iTCO_wdt x86_pkg_temp_thermal iTCO_vendor_support coretemp mxm_wmi kvm_intel snd_hda_intel snd_hda_controller kvm snd_hda_codec snd_hwdep snd_seq snd_seq_device sb_edac snd_pcm serio_raw edac_core
[516483.574727]  i2c_i801 lpc_ich mfd_core snd_timer snd mei_me soundcore mei wmi shpchp binfmt_misc dm_crypt radeon i2c_algo_bit drm_kms_helper ttm drm crct10dif_pclmul crc32_pclmul e1000e crc32c_intel ghash_clmulni_intel firewire_ohci firewire_core ptp crc_itu_t pps_core [last unloaded: ipmi_msghandler]
[516483.574749] CPU: 0 PID: 14197 Comm: gnome-shell Not tainted 3.17.4-301.fc21.x86_64 #1
[516483.574751] Hardware name: MSI MS-7760/X79A-GD65 (8D) (MS-7760), BIOS V1.8 10/18/2012
[516483.574753]  0000000000000000 0000000080d42b91 ffff88008e1a3c08 ffffffff8173f929
[516483.574757]  0000000000000000 ffff88008e1a3c40 ffffffff810970ad ffff880442b4c000
[516483.574761]  ffff8804457b4000 00000000ffff0000 0000000000000000 0000000000000001
[516483.574764] Call Trace:
[516483.574771]  [<ffffffff8173f929>] dump_stack+0x45/0x56
[516483.574777]  [<ffffffff810970ad>] warn_slowpath_common+0x7d/0xa0
[516483.574781]  [<ffffffff810971da>] warn_slowpath_null+0x1a/0x20
[516483.574802]  [<ffffffffa016f580>] radeon_crtc_cursor_move+0x130/0x6b0 [radeon]
[516483.574807]  [<ffffffff817447a2>] ? mutex_lock+0x12/0x30
[516483.574824]  [<ffffffffa00ecfee>] drm_mode_cursor_common+0x24e/0x360 [drm]
[516483.574842]  [<ffffffffa00faadb>] ? drm_modeset_unlock+0x2b/0x30 [drm]
[516483.574856]  [<ffffffffa00ecff9>] ? drm_mode_cursor_common+0x259/0x360 [drm]
[516483.574861]  [<ffffffff811ff88f>] ? commit_charge+0x2f/0xd0
[516483.574876]  [<ffffffffa00f04a0>] drm_mode_cursor_ioctl+0x50/0x70 [drm]
[516483.574888]  [<ffffffffa00e1e6f>] drm_ioctl+0x1df/0x680 [drm]
[516483.574895]  [<ffffffff81060a7c>] ? __do_page_fault+0x29c/0x580
[516483.574899]  [<ffffffff81313e26>] ? file_has_perm+0xa6/0xb0
[516483.574914]  [<ffffffffa013f04c>] radeon_drm_ioctl+0x4c/0x80 [radeon]
[516483.574919]  [<ffffffff81220910>] do_vfs_ioctl+0x2d0/0x4b0
[516483.574923]  [<ffffffff81220b71>] SyS_ioctl+0x81/0xa0
[516483.574927]  [<ffffffff81135d86>] ? __audit_syscall_exit+0x1f6/0x2a0
[516483.574932]  [<ffffffff81746ae9>] system_call_fastpath+0x16/0x1b
[516483.574934] ---[ end trace 1e871e924c5242d0 ]---

The user code is from here:

https://admin.fedoraproject.org/updates/gambas3-3.6.1-2.fc21,julia-0.3.3-2.fc21,llvm-3.5.0-4.fc21,mesa-10.4.0-1.20141214.fc21,pocl-0.10-2.fc21,pure-0.62-2.fc21
Comment 3 Fedora End Of Life 2015-11-04 09:40:45 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-12-01 21:55:50 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.